﻿$ErrorActionPreference = 'Stop';

$version = $env:chocolateyPackageVersion
$packageName = $env:chocolateyPackageName
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://github.com/twpayne/chezmoi/releases/download/v2.9.4/chezmoi_2.9.4_windows_i386.zip'
$url64 = 'https://github.com/twpayne/chezmoi/releases/download/v2.9.4/chezmoi_2.9.4_windows_amd64.zip'

$packageArgs = @{
    packageName    = $packageName
    unzipLocation  = $toolsDir
    fileType       = 'exe'
    url            = $url
    url64bit       = $url64
    checksum       = '8112dc47531ec8369bbfc2ef269cd83cb51f35b357e816f0ce03c11e3a9fdc75'
    checksumType   = 'sha256'
    checksum64     = 'f2652c281830f337bc4183f740a828a718d2c28bf87b77ccf7fcfe75a2c5c0ec'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
